<?php

namespace jrosset\CliProgram;

use ReflectionClass;
use Symfony\Component\Console\Command\Command;

/**
 * A basic command
 */
class BaseCommand extends Command {
    /**
     * Initialize the command
     *
     * @param string|null $name       The command name, Null = class name
     * @param string      ...$aliases The command aliases
     */
    public function __construct (?string $name = null, string ...$aliases) {
        parent::__construct($name ?? (new ReflectionClass($this))->getShortName());
        $this->setAliases($aliases);
    }
}